int _ABVAR_1_valuesCounter = 0 ;
int _ABVAR_2_d = 0 ;
int _ABVAR_3_bitsCounter = 0 ;
bool _ABVAR_4_dataBit= false ;
void __ardublockDigitalWrite(int pinNumber, boolean status)
{
  pinMode(pinNumber, OUTPUT);
  digitalWrite(pinNumber, status);
}

int vec_Table[8];


void initTestValuesArray();
void sendByteTo4094();

void setup()
{
  Serial.begin(9600);
  for (int i=0;i<8;i++) vec_Table[i]=0;

  initTestValuesArray();

}

void loop()
{
  for (_ABVAR_1_valuesCounter= 1; _ABVAR_1_valuesCounter<= ( 8 ); _ABVAR_1_valuesCounter++ )
  {
    sendByteTo4094(vec_Table[_ABVAR_1_valuesCounter - 1]);
    delay( 500 );
  }
}

void sendByteTo4094(int inputData)
{
  _ABVAR_2_d = inputData ;
  for (_ABVAR_3_bitsCounter= 1; _ABVAR_3_bitsCounter<= ( 8 ); _ABVAR_3_bitsCounter++ )
  {
    if (( ( ( _ABVAR_2_d - pow( 2 ,( 8 - _ABVAR_3_bitsCounter ) ) ) ) >= ( 0 ) ))
    {
      _ABVAR_2_d = ( _ABVAR_2_d - pow( 2 ,( 8 - _ABVAR_3_bitsCounter ) ) ) ;
      _ABVAR_4_dataBit = true ;
    }
    else
    {
      _ABVAR_4_dataBit = false ;
    }
    Serial.print("bit");
    Serial.print(" ");
    Serial.print(( 8 - _ABVAR_3_bitsCounter ));
    Serial.print(" ");
    Serial.print("=");
    Serial.print(" ");
    Serial.print(_ABVAR_4_dataBit);
    Serial.print(" ");
    Serial.println();
    __ardublockDigitalWrite(3, _ABVAR_4_dataBit);
    __ardublockDigitalWrite(4, true);
    __ardublockDigitalWrite(4, false);
  }
  __ardublockDigitalWrite(2, true);
  __ardublockDigitalWrite(2, false);
  Serial.print("------------------");
  Serial.print(" ");
  Serial.println();
}

void initTestValuesArray()
{
  vec_Table[1 - 1] = 1 ;
  vec_Table[2 - 1] = 128 ;
  vec_Table[3 - 1] = 170 ;
  vec_Table[4 - 1] = 85 ;
  vec_Table[5 - 1] = 240 ;
  vec_Table[6 - 1] = 15 ;
  vec_Table[7 - 1] = 255 ;
  vec_Table[8 - 1] = 0 ;
}


